#TEMPLATE(wpViewPDF,'Use wpViewPDF Control in Clarion'), FAMILY('ABC'), FAMILY('CW20'), FAMILY('CLARION')
#!====================================================================================================================
#! Display and print PDF files in Clarion,
#! It is directly embedded in your application. 
#!====================================================================================================================
#EXTENSION(wpViewPDFGlobal,'wpViewPDF Control Global Declarations'),DESCRIPTION('wpViewPDF Component Global Declarations'),APPLICATION
#DISPLAY ('Global wpViewPDF extension for the application')
#PROMPT('wPDF Demo Version', CHECK), %wPDFDemo,DEFAULT(%TRUE),AT(10)
#ENABLE(NOT %wPDFDemo)
#PROMPT  ('License Name:',@S64),%LicenseName
#PROMPT  ('License Code:',@S64),%LicenseCode
#PROMPT  ('License Number:',@S64),%LicenseNumber
#ENDENABLE
#DISPLAY
#DISPLAY ('When "Demo Version" is checked app works ')
#DISPLAY ('with the trial wPDFViewDemo03.dll')
#DISPLAY ('With this option unchecked wPDFView03.dll will be used.')
#DISPLAY ('You will need to provide registartion info.')
#DISPLAY ('For information about registering wpPDFView Control')
#DISPLAY ('contact KlariSoft.')
#DISPLAY
#PROMPT('Support E-Mail:',@S200),%CompanyMail,DEFAULT('support@klarisoft.com'),PROP(PROP:ReadOnly,1),PROP(PROP:Skip,1)
#PROMPT('Official Site:',@S200),%CompanySite,DEFAULT('http://www.klarisoft.com'),PROP(PROP:ReadOnly,1),PROP(PROP:Skip,1)
#DISPLAY()
#!====================================================================================================================
#AT(%AfterGlobalIncludes)
    #!IF( %ApplicationLocalLibrary )
   #!INCLUDE('cwPDFViewControllib.inc'),ONCE
    #!ELSE
   INCLUDE('cwPDFViewControl.inc'),ONCE
    #!END
#ENDAT

#!====================================================================================================================
#AT(%CustomGlobalDeclarations)
    #!IF( %ApplicationLocalLibrary )
      #!PROJECT('cwpdfviewcontrollib.lib')
    #!ELSE
      #PROJECT('cwpdfviewcontrol.lib')
    #!ENDIF
#ENDAT

#!====================================================================================================================
#AT(%BeforeGenerateApplication)
    #!IF(NOT %ApplicationLocalLibrary )
     %#pragma define(_wPDFViewDllMode_=>1)
     %#pragma define(_wPDFViewLinkMode_=>0)
      #!pdefine('_wPDFViewDllMode_',1)
      #!pdefine('_wPDFViewLinkMode_',0)
    #!ENDIF
#ENDAT
#!====================================================================================================================

#CONTROL(wpPDFViewControl,'View PDF file'),WINDOW,REQ(wpViewPDFGlobal)
#!
#DISPLAY ('This Control Template Adds View PDF Control')
#PROMPT ('Object Name:', @s20 ),%wpPDFViewObjectName, REQ, DEFAULT('PDFView')
#DISPLAY ('')
#DISPLAY('')
#!

  CONTROLS
    REGION,AT(,,150,150),USE(?PDFView)
  END

#!====================================================================================================================
#ATSTART
  #INSERT(%KSCWDetect)
  #DECLARE(%wPDFViewRegion)
  #FOR(%Control),WHERE(%ControlInstance = %ActiveTemplateInstance)
    #SET(%wPDFViewRegion,%Control)
  #ENDFOR
#ENDAT

#!====================================================================================================================
#AT(%DataSection), WHERE(%KSCWABCTemplate)
%wpPDFViewObjectName          wPDFViewControl
#ENDAT

#AT(%DataSectionBeforeWindow), WHERE(~%KSCWABCTemplate)
%wpPDFViewObjectName          wPDFViewControl
#ENDAT


#!
#!
#! Class Init  ------------------------------------------------------------------------------
#! ABC
#AT( %WindowManagerMethodCodeSection,'Init','(),BYTE'),PRIORITY(8050),DESCRIPTION(%wpPDFViewObjectName & ' Init'), WHERE(%KSCWABCTemplate), LAST
  #IF(NOT %wPDFDemo)
%wpPDFViewObjectName.Trial = FALSE
%wpPDFViewObjectName.Init(%Window,%wPDFViewRegion,'%LicenseName','%LicenseCode',%LicenseNumber)
  #ELSE
!%wpPDFViewObjectName.Trial = TRUE
%wpPDFViewObjectName.Init(%Window,%wPDFViewRegion)
  #END
#ENDAT
#!
#! Legacy
#AT( %AfterWindowOpening ), WHERE(~%KSCWABCTemplate), LAST
  #IF(NOT %wPDFDemo)
%wpPDFViewObjectName.Trial = FALSE
%wpPDFViewObjectName.Init(%Window,%wPDFViewRegion,'%LicenseName','%LicenseCode',%LicenseNumber)
  #ELSE
!%wpPDFViewObjectName.Trial = TRUE
%wpPDFViewObjectName.Init(%Window,%wPDFViewRegion)
  #END
#ENDAT
#!
#!
#! Class Kill  ------------------------------------------------------------------------------
#! ABC
#AT( %WindowManagerMethodCodeSection,'Kill','(),BYTE' ),PRIORITY(4900),DESCRIPTION(%wpPDFViewObjectName & ' Kill'), WHERE(%KSCWABCTemplate)
%wpPDFViewObjectName.Kill
#ENDAT
#! 
#! Legacy
#AT( %BeforeWindowClosing ), WHERE(~%KSCWABCTemplate)
%wpPDFViewObjectName.Kill
#ENDAT
#!
#!


#!====================================================================================================================
#!
#! 
#GROUP(%KSCWDetect)
#DECLARE (%KSCWVERSION)
#DECLARE (%KSCWABCTemplate)
#DECLARE (%KSCWTEMPLATEVERSION)
#DECLARE (%KSCWTEMPLATESET)
#DECLARE (%KSABCVersion)
#SET (%KSCWVERSION, SUB(%CWVersion, 1, 1))
#IF (INSTRING('V2', UPPER(%CWTemplateVersion), 1, 1))
  #SET (%KSCWTEMPLATEVERSION, 2)
  #SET (%KSCWTEMPLATESET, 'CFW')
#ELSIF (INSTRING('V4', UPPER(%CWTemplateVersion), 1, 1))
  #SET (%KSCWTEMPLATEVERSION, 4)
  #SET (%KSCWTEMPLATESET, 'ABC')
#ELSIF (INSTRING('V5', UPPER(%CWTemplateVersion), 1, 1))
#IF(VAREXISTS(%ABCVersion))       #! In Clarion 5.5f Legacy %CWTemplateVersion was changed from 'v2.003' to 'v5.5'
  #SET (%KSCWTEMPLATEVERSION, 5) #!
  #SET (%KSCWTEMPLATESET, 'ABC') #!
#ELSE                             #!
  #SET (%KSCWTEMPLATEVERSION, 5) #!
  #SET (%KSCWTEMPLATESET, 'CFW') #!
#ENDIF
#ELSIF (INSTRING('V6', UPPER(%CWTemplateVersion), 1, 1) OR INSTRING('V7', UPPER(%CWTemplateVersion), 1, 1) OR INSTRING('V8', UPPER(%CWTemplateVersion), 1, 1) OR INSTRING('V9', UPPER(%CWTemplateVersion), 1, 1))
#IF(VAREXISTS(%ABCVersion))       #! In Clarion 5.5f Legacy %CWTemplateVersion was changed from 'v2.003' to 'v5.5'
  #SET (%KSCWTEMPLATEVERSION, 6) #!
  #SET (%KSCWTEMPLATESET, 'ABC') #!
#ELSE                             #!
  #SET (%KSCWTEMPLATEVERSION, 6) #!
  #SET (%KSCWTEMPLATESET, 'CFW') #!
#ENDIF
#ENDIF
#IF (%KSCWTEMPLATESET = 'ABC')
  #SET(%KSCWABCTemplate,1)
#ELSE
  #SET(%KSCWABCTemplate,0)
#ENDIF
#!
#!

